<table class="table">
  <thead>
    <tr>
      <th scope="col">id</th>
      <th scope="col">int</th>
      <th scope="col">float</th>
      <th scope="col">color</th>
      <th scope="col">child</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of data$ | async">
      <td>{{ item.id }}</td>
      <td>{{ item.int }}</td>
      <td>{{ item.float }}</td>
      <td [style.backgroundColor]="item.color">{{ item.color }}</td>
      <td>
        <table class="table">
          <tr>
            <th>id</th>
            <th>color</th>
          </tr>
          <tr>
            <td>{{ item.child.id }}</td>
            <td [style.backgroundColor]="item.child.color">
              {{ item.child.color }}
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </tbody>
</table>
